#ifndef XPARAMETERS_H /* prevent circular inclusions */
#define XPARAMETERS_H /* by using protection macros */

/* Definitions for driver AXIDMA */
#define XPAR_XAXIDMA_NUM_INSTANCES 2

/* Definitions for peripheral AXI_DMA_0 */
#define XPAR_AXIDMA_0_DEVICE_ID 0
#define XPAR_AXIDMA_0_BASEADDR 0x41E00000
#define XPAR_AXIDMA_0_SG_INCLUDE_STSCNTRL_STRM 0
#define XPAR_AXIDMA_0_INCLUDE_MM2S_DRE 0
#define XPAR_AXIDMA_0_INCLUDE_S2MM_DRE 0
#define XPAR_AXIDMA_0_INCLUDE_MM2S 1
#define XPAR_AXIDMA_0_INCLUDE_S2MM 1
#define XPAR_AXIDMA_0_M_AXI_MM2S_DATA_WIDTH 32
#define XPAR_AXIDMA_0_M_AXI_S2MM_DATA_WIDTH 32
#define XPAR_AXIDMA_0_INCLUDE_SG 0
#define XPAR_AXIDMA_0_NUM_MM2S_CHANNELS 1
#define XPAR_AXIDMA_0_NUM_S2MM_CHANNELS 1
#define XPAR_AXI_DMA_0_MM2S_BURST_SIZE 32
#define XPAR_AXI_DMA_0_S2MM_BURST_SIZE 32
#define XPAR_AXI_DMA_0_MICRO_DMA 0
#define XPAR_AXI_DMA_0_ADDR_WIDTH 32
#define XPAR_AXIDMA_0_SG_LENGTH_WIDTH 24

/* Definitions for peripheral AXI_DMA_1 */
#define XPAR_AXIDMA_1_DEVICE_ID 1
#define XPAR_AXIDMA_1_BASEADDR 0x41E10000
#define XPAR_AXIDMA_1_SG_INCLUDE_STSCNTRL_STRM 0
#define XPAR_AXIDMA_1_INCLUDE_MM2S_DRE 0
#define XPAR_AXIDMA_1_INCLUDE_S2MM_DRE 0
#define XPAR_AXIDMA_1_INCLUDE_MM2S 1
#define XPAR_AXIDMA_1_INCLUDE_S2MM 1
#define XPAR_AXIDMA_1_M_AXI_MM2S_DATA_WIDTH 32
#define XPAR_AXIDMA_1_M_AXI_S2MM_DATA_WIDTH 64
#define XPAR_AXIDMA_1_INCLUDE_SG 1
#define XPAR_AXIDMA_1_NUM_MM2S_CHANNELS 1
#define XPAR_AXIDMA_1_NUM_S2MM_CHANNELS 1
#define XPAR_AXIDMA_1_MM2S_BURST_SIZE 8
#define XPAR_AXIDMA_1_S2MM_BURST_SIZE 8
#define XPAR_AXIDMA_1_MICRO_DMA 0
#define XPAR_AXIDMA_1_ADDR_WIDTH 32
#define XPAR_AXIDMA_1_SG_LENGTH_WIDTH 26

/******************************************************************/

/* Definitions for driver SPI */
#define XPAR_XSPI_NUM_INSTANCES 2U

/* Canonical definitions for peripheral AXI_SPI_0 */
#define XPAR_SPI_0_DEVICE_ID 0U
#define XPAR_SPI_0_BASEADDR 0x44A00000U
#define XPAR_SPI_0_HIGHADDR 0x44A00FFFU
#define XPAR_SPI_0_FIFO_DEPTH 16U,
#define XPAR_SPI_0_FIFO_EXIST 1U
#define XPAR_SPI_0_SLAVE_ONLY 0U
#define XPAR_SPI_0_NUM_SS_BITS 4U
#define XPAR_SPI_0_NUM_TRANSFER_BITS 8U,
#define XPAR_SPI_0_SPI_MODE 0U,
#define XPAR_SPI_0_TYPE_OF_AXI4_INTERFACE 1U
#define XPAR_SPI_0_AXI4_BASEADDR 0U
#define XPAR_SPI_0_AXI4_HIGHADDR 0U
#define XPAR_SPI_0_XIP_MODE 0U
#define XPAR_SPI_0_USE_STARTUP 1U,

/* Canonical definitions for peripheral AXI_SPI_1 */
#define XPAR_SPI_1_DEVICE_ID 0U
#define XPAR_SPI_1_BASEADDR 0x44B00000U
#define XPAR_SPI_1_HIGHADDR 0x44B00FFFU
#define XPAR_SPI_1_FIFO_DEPTH 16U,
#define XPAR_SPI_1_FIFO_EXIST 1U
#define XPAR_SPI_1_SLAVE_ONLY 0U
#define XPAR_SPI_1_NUM_SS_BITS 4U
#define XPAR_SPI_1_NUM_TRANSFER_BITS 8U,
#define XPAR_SPI_1_SPI_MODE 0U,
#define XPAR_SPI_1_TYPE_OF_AXI4_INTERFACE 1U
#define XPAR_SPI_1_AXI4_BASEADDR 0U
#define XPAR_SPI_1_AXI4_HIGHADDR 0U
#define XPAR_SPI_1_XIP_MODE 0U
#define XPAR_SPI_1_USE_STARTUP 1U,

/******************************************************************/

#endif /* end of protection macro */
